pastel: Generate random pastel colors - scripts - various script and utils
HTML git clone git://z3bra.org/scripts
DIR Log
DIR Files
DIR Refs
---
DIR commit 29f9633eee979478a582cef755f7d8af9bc69155
DIR parent 06d62744d321bfd2c52b8e80e41222132c2b8383
HTML Author: Willy Goiffon <dev@z3bra.org>
Date: Sat, 29 Aug 2026 08:10:10 +0000
pastel: Generate random pastel colors
Diffstat:
A pastel | 22 ++++++++++++++++++++++
1 file changed, 22 insertions(+), 0 deletions(-)
---
DIR diff --git a/pastel b/pastel
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+r_dark="0 96"
+r_light="170 240"
+
+usage() {
+ echo "usage: $(basename $0) [-dl] [-m dark|light]" >&2
+}
+
+while getopts "hdlm:" OPT; do
+ case $OPT in
+ d) mood="dark";;
+ l) mood="light";;
+ m) mood="$OPTARG";;
+ h) usage; exit 0;;
+ *) usage; exit 1;;
+ esac
+done
+
+[ "$mood" = "dark" ] && range=$r_dark || range=$r_light
+
+printf '#%s\n' "$(seq $range|shuf|head -n3|xargs printf '%02x')"